##### GENERAL STUFF #####

Summary:	Command line utilities to access digital cameras
Name:		libgphoto
Version:	2.1.1
Release:	2mdk
License:	LGPL
Group:		Graphics


##### SOURCE FILES #####

Source: http://sourceforge.net/projects/gphoto/libgphoto2-2.1.1.tar.bz2
#Source: http://sourceforge.net/projects/gphoto/libgphoto2-cvs20020808.tar.bz2

##### Patches #####

# Support for the Canon Powershot A5
Patch1: Canon-Powershot_A5.patch.bz2

# Support for dynamic
Patch2: libgphoto2-2.1.1-dynamic.patch.bz2

##### ADDITIONAL DEFINITIONS #####

Url: http://sourceforge.net/projects/gphoto/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: 	libusb0.1_4 >= 0.1.6 libexif8
Obsoletes:	hackgphoto2
Provides:	hackgphoto2
Conflicts:	gphoto2 <= 2.1.0
PreReq:		hotplug >= 2001_04_24-13
PreReq:		/sbin/ldconfig grep fileutils
BuildRequires:	glib-devel libusb-devel >= 0.1.6 zlib-devel findutils perl
BuildRequires:	libexif8-devel

##### SUB-PACKAGES #####

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the library that digital camera applications can use

Frontends (GUI and command line) are available separately.

%package -n libgphoto2
Summary: Library to access to digital cameras
Requires: 	libusb0.1_4 >= 0.1.5 libexif8
Conflicts:	gphoto2 <= 2.1.0
Group:		Graphics
PreReq:		hotplug >= 2002_04_01-2mdk

%description -n libgphoto2
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n libgphoto2-devel
Summary: Headers and links to compile against the "libgphoto2" library
Requires: 	libgphoto2 >= %{version}
Provides:	libgphoto-devel
Conflicts:	gphoto2 <= 2.1.0
Group:		Graphics

%description -n libgphoto2-devel
This package contains all files which one needs to compile programs using
the "libgphoto2" library.


##### PREP #####

%prep
rm -rf "${RPM_BUILD_DIR}/%{name}-%{version}"
rm -rf "${RPM_BUILD_DIR}/%{name}2"
%setup -q -n %{name}2-%{version}
#setup -q -n %{name}2

# Support for the Canon Powershot A5
%patch1 -p1 -R
%patch2 -p1 -b .dynamic

# Support for Mustek gsmart mini 2
#cd camlibs
#bunzip2 -dc %{SOURCE1} | tar -xf -
#cd ..

##### BUILD #####

%build

# Needed for CVS version
#./autogen.sh
#configure --enable-docs --with-docs-dir=%{buildroot}%{_docdir}/%{name} --with-doc-formats="man html"
%configure --with-docs-dir=%{buildroot}%{_docdir}/%{name}-%{version} --with-doc-formats="man html" --without-ltdl
#configure --without-fig2dev --with-docs-dir=%{buildroot}%{_docdir}/%{name}

%make

##### INSTALL #####

%install

rm -rf ${RPM_BUILD_ROOT}

# Let all documentation go into /usr/share/doc/libgphoto2-%{version}/
mkdir -p %{buildroot}/usr/share/doc/libgphoto2-%{version}/
ln -s %{buildroot}/usr/share/doc/libgphoto2-%{version}/ %{buildroot}/usr/share/doc/libgphoto2
mkdir -p %{buildroot}/usr/share/doc/libgphoto2_port-%{version}/
ln -s %{buildroot}/usr/share/doc/libgphoto2_port-%{version}/ %{buildroot}/usr/share/doc/libgphoto2_port

# Set LIBRARY_PATH so that libtool finds the libgphoto2_port library of this
# package for linking the serial and USB IO libraries.
export LIBRARY_PATH="${LD_LIBRARY_PATH}:${RPM_BUILD_DIR}/%{name}2-%{version}/libgphoto2_port/libgphoto2_port/.libs"; \
%makeinstall


# Remove the links, we don't need them any more.
rm -f %{buildroot}/usr/share/doc/libgphoto2
rm -f %{buildroot}/usr/share/doc/libgphoto2_port

# Convince gphoto2 to be packaged.
perl -p -i -e "s|^libdir.*|libdir='$RPM_BUILD_ROOT%{_libdir}'|g" \
        libgphoto2_port/libgphoto2_port/libgphoto2_port.la

# Fix up libtool libraries.
find $RPM_BUILD_ROOT -name '*.la' | \
	xargs perl -p -i -e "s|$RPM_BUILD_ROOT||g"

# we should move that into the proper Makefile.am eventually
install -d -m755 %{buildroot}/etc/hotplug/usb/
install -m755 packaging/linux-hotplug/usbcam.console %{buildroot}/etc/hotplug/usb/usbcam
install -d -m755 %{buildroot}/usr/lib/hotplug/libgphoto2
install -m755 packaging/linux-hotplug/.libs/print-usb-usermap %{buildroot}/usr/lib/hotplug/libgphoto2/usb.usermap
rm -f %{buildroot}/usr/lib/libgphoto2/print-usb-usermap

%find_lang %{name}2-2
%find_lang %{name}2_port-0
cat %{name}2-2.lang %{name}2_port-0.lang > %{name}.lang

# Install documentation
cp -a AUTHORS README COPYING packaging/linux-hotplug/usbcam.[ug]* %{buildroot}/usr/share/doc/libgphoto2-%{version}/


##### PRE/POST INSTALL SCRIPTS #####

%post -n libgphoto2
# register libraries
/sbin/ldconfig

# add supported cameras to /etc/hotplug/usb.usermap
/usr/sbin/update-usb.usermap || :


%postun -n libgphoto2
# unregister libraries
/sbin/ldconfig

if [ "$1" = 0 ]; then
    # remove supported cameras from /etc/hotplug/usb.usermap
    # if erasing the package not as part of a package update
    /usr/sbin/update-usb.usermap || :
fi

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libgphoto2
%files -n libgphoto2 -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/hotplug/libgphoto2
%{_libdir}/*.so.*
# Here are only ".so" and no ".so.XXX" packages, so the ".so" have to be in
# the main package
%{_libdir}/gphoto2/*/*.so
%{_libdir}/gphoto2_port/*/*.so
%docdir %{_docdir}/libgphoto2-%{version}
%{_docdir}/libgphoto2-%{version}
%docdir %{_docdir}/libgphoto2_port-%{version}
%{_docdir}/libgphoto2_port-%{version}
%{_datadir}/libgphoto2
%config(noreplace) %{_sysconfdir}/hotplug/usb/usbcam

##### libgphoto2-devel
%files -n libgphoto2-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/gphoto2
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/gphoto2/*/*.a
%{_libdir}/gphoto2/*/*.la
%{_libdir}/gphoto2_port/*/*.a
%{_libdir}/gphoto2_port/*/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


##### CHANGELOG #####

%changelog
* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 2.1.1-2mdk
- Rebuilt for new glibc and new libexif.
- Rebuilt without libgpio.
- Made package build possible without the previous version being installed.

* Thu Dec  5 2002 Till Kamppeter <till@mandrakesoft.com> 2.1.1-1mdk
- Release of GPhoto2 2.1.1.

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.1.1-0.7mdk
- added support for dynamic

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.1.1-0.6mdk
- use update-usb.usermap in %post instead of doing it by hand

* Thu Aug  8 2002 Till Kamppeter <till@mandrakesoft.com> 2.1.1-0.5mdk
- Updated to CVS of Aug 8. 2002 (Mustek gSmart driver included now).

* Wed Aug  7 2002 Till Kamppeter <till@mandrakesoft.com> 2.1.1-0.4mdk
- Fixed "Conflicts:"/"Obsoletes:"/"Provides:" for 8.2 -> 9.0 update.
- Added support for Mustek gSmart mini 2 and the Canon Powershot A5.

* Tue Aug  6 2002 Till Kamppeter <till@mandrakesoft.com> 2.1.1-0.3mdk
- Added post-install script to set up hotplug.
- Useed "./configure --without-ltdl" due to possible libtool/libltdl
  bugs.

* Mon Aug  5 2002 Till Kamppeter <till@mandrakesoft.com> 2.1.1-0.2mdk
- Updated to CVS of Aug 5, 2002.
- Spec file clean-ups.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 2.1.1-0.1mdk
- Initial release of separate gphoto2 and libgphoto2 packages.
